GLFOGCOORD(3G)

NAME
glFogCoord - set the current fog coordinates

C SPECIFICATION

void glFogCoordd(GLdouble coord);

void glFogCoordf(GLfloat coord);

PARAMETERS

coord
    Specify the fog distance.

C SPECIFICATION

void glFogCoorddv(GLdouble * coord);

void glFogCoordfv(GLfloat * coord);

PARAMETERS

coord
    Specifies a pointer to an array containing a single value representing the fog distance.

DESCRIPTION

glFogCoord specifies the fog coordinate that is associated with each vertex and the current raster position. The value specified is interpolated and used in computing the fog color (see glFog()).

NOTES

glFogCoord is available only if the GL version is 1.4 or greater.

The current fog coordinate can be updated at any time. In particular, glFogCoord can be called between a call to glBegin() and the corresponding call to glEnd().

ASSOCIATED GETS

glGet() with argument GL_CURRENT_FOG_COORD

SEE ALSO

glFog(), glFogCoordPointer(), glVertex()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.